clang 8.0.0

Classes | Public Types | Static Protected Member Functions | List of all members
OMPClauseMappableExprCommon Class Reference

Struct that defines common infrastructure to handle mappable expressions used in OpenMP clauses. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPClauseMappableExprCommon:
[legend]

## Classes
class | MappableComponent
| Class that represents a component of a mappable expression. More...

## Public Types
using | MappableExprComponentList = SmallVector< MappableComponent, 8 >
using | MappableExprComponentListRef = ArrayRef< MappableComponent >
using | MappableExprComponentLists = SmallVector< MappableExprComponentList, 8 >
using | MappableExprComponentListsRef = ArrayRef< MappableExprComponentList >

## Static Protected Member Functions
static unsigned | getComponentsTotalNumber (MappableExprComponentListsRef ComponentLists)
static unsigned | getUniqueDeclarationsTotalNumber (ArrayRef< const ValueDecl *> Declarations)

## Detailed Description

Struct that defines common infrastructure to handle mappable expressions used in OpenMP clauses.

Definition at line 3543 of file OpenMPClause.h.

## Member Typedef Documentation

## ◆ MappableExprComponentList

using OMPClauseMappableExprCommon::MappableExprComponentList = SmallVector<MappableComponent, 8>

Definition at line 3579 of file OpenMPClause.h.

## ◆ MappableExprComponentListRef

using OMPClauseMappableExprCommon::MappableExprComponentListRef = ArrayRef<MappableComponent>

Definition at line 3580 of file OpenMPClause.h.

## ◆ MappableExprComponentLists

using OMPClauseMappableExprCommon::MappableExprComponentLists = SmallVector<MappableExprComponentList, 8>

Definition at line 3585 of file OpenMPClause.h.

## ◆ MappableExprComponentListsRef

using OMPClauseMappableExprCommon::MappableExprComponentListsRef = ArrayRef<MappableExprComponentList>

Definition at line 3586 of file OpenMPClause.h.

## Member Function Documentation

## ◆ getComponentsTotalNumber()

unsigned OMPClauseMappableExprCommon::getComponentsTotalNumber | ( | MappableExprComponentListsRef | ComponentLists | ) |
| static protected

Definition at line 772 of file OpenMPClause.cpp.

## ◆ getUniqueDeclarationsTotalNumber()

unsigned OMPClauseMappableExprCommon::getUniqueDeclarationsTotalNumber | ( | ArrayRef< const ValueDecl *> | Declarations | ) |
| static protected

Definition at line 780 of file OpenMPClause.cpp.

The documentation for this class was generated from the following files:

- include/clang/AST/OpenMPClause.h
- lib/AST/OpenMPClause.cpp